Prev |  | Next

# FcAtomicLock

## Name

FcAtomicLock -- lock a file

## Synopsis

    #include <fontconfig.h>

``FcBool FcAtomicLock`(FcAtomic *atomic);`

## Description

Attempts to lock the file referenced by `atomic`. Returns FcFalse if the file is already locked, else returns FcTrue and leaves the file locked.

## Version

Fontconfig version 2.6.0

Prev | Home | Next
FcAtomicCreate | Up | FcAtomicNewFile